cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/users/{user_id}/employments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "type": "employment", "attributes": { "effective_from": "2024-01-01", "custom_fields": {}, "external_id": "EMP001234", "title": "Faculty Assistant", "effective_to": "2023-12-25" }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "employment", "attributes": { "created_at": "<string>", "updated_at": "<string>", "custom_fields": {}, "external_id": "EMP001234", "title": "Faculty Assistant", "effective_from": "2024-01-01", "effective_to": "2023-12-25" }, "relationships": { "user": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "user", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }, "profile": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "profile", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } } } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
employment created